      program comparison_plt
      parameter(nmax=200,nrad=30,nradt=200)
      real fr(nmax),cvl(nmax),r(nmax,0:nrad),cal(nmax,0:nrad),
     *     cr(nmax,nrad),sd(nmax,nrad),the(nmax,0:nradt),
     *     rth(nmax,0:nradt)
      integer nr(nmax),jr(nmax,0:nrad),lr(nrad)
      character cdrv*10,cwkf*80,chk*3,com1*50,cform*45
      character filen*80,fname*12,cdummy*18
      data pai/3.141592/ big/1.e+12/ 
      data cdrv/'./spacwkf/'/
c reading
      cwkf=cdrv//'data/results/'  
      filen=cwkf(1:23)//'comparison.dat'
      open(1,file=filen,status='old')
      do i=1,nmax
       read(1, '(3x,f9.3,12x,f7.2)')fr(i),cvl(i)
c      write(6, '(a3,f9.3,a4,f7.2)')' f=',fr(i),', c=',cvl(i)
       read(1,'(a45)')filen
       read(1, '(3x,f9.3,12x,f12.3)')r(i,0),cal(i,0)
       do ir=1,nrad
        read(1,'(a3)',end=10)chk
        backspace(1)
        if(chk.ne.' f=') then
      read(1, '(i3,f9.3,4f12.3)')
     *            jr(i,ir),r(i,ir),cr(i,ir),cal(i,ir),sd(i,ir)
c     write(6,'(i3,f9.3,4f12.3)')
c    *            jr(i,ir),r(i,ir),cr(i,ir),cal(i,ir),sd(i,ir)
        else
         go to 5
        endif
       enddo
    5  nr(i)=ir-1
      enddo
   10 nf=i-1
      close(1)
c Theoretial curve of J0(kr)
      do i=1,nf
       do ir=1,nr(i)
        rmax=r(i,0)
c        write(6,*)i,rmax
        if(rmax.lt.r(i,ir)) then
	 rmax=r(i,ir)              !nr(i))
c         write(6,*) i,ir,rmax
        endif
       enddo
c
       rmax=rmax*1.2
       akrmax=rmax*2.*pai*fr(i)/cvl(i)
       dkr=akrmax/nradt
       the(i,0)=1.0
       do iir=1,nradt
        akr=dkr*real(iir)
        rth(i,iir)=akr/(2.*pai*fr(i)/cvl(i))
        the(i,iir)=bessj0(akr)
       enddo
      enddo
c
      do i=1,nf
       write(6,'(i3,a3,f9.3,a5,a4,f7.2,a4,i4)')
     *     i,' f=',fr(i),' Hz, ',' c= ',cvl(i),', nr=',nr(i)
      enddo
   20 write(6,*)'Select frequency for plotting.'
      read(5,*) freq_s
      do i=1,nf
       if(fr(i).gt.freq_s) go to 30
      enddo
      write(6,*)'None of them could be selected. Try again.'
      go to 20
   30 n_freq_s=i-1
      freq_s=fr(n_freq_s)
      write(6,*) freq_s,' is selected. #',n_freq_s
c 
c data files
      filen=cdrv//'data/results/temp11.dat'
      open(11,file=filen,status='unknown')
      do ir=1,nr(n_freq_s)
c      write( 6,'(i3,f12.3,2f15.3)') jr(n_freq_s,ir),
c    *      r(n_freq_s,ir),cr(n_freq_s,ir),sd(n_freq_s,ir)
       write(11,'(3f15.3)')
     *      r(n_freq_s,ir),cr(n_freq_s,ir),sd(n_freq_s,ir)
      enddo
      close(11)
      filen=cdrv//'data/results/temp12.dat'
      open(12,file=filen,status='unknown')
      do ir=1,nr(n_freq_s)
c     write( 6,'(i3,f12.3,2f15.3)') jr(n_freq_s,ir),
c    *      r(n_freq_s,ir),cr(n_freq_s,ir),sd(n_freq_s,ir)
       write(12,'(3f15.3)')
     *      r(n_freq_s,ir),cr(n_freq_s,ir),sd(n_freq_s,ir)
      enddo
      close(12)
      filen=cdrv//'data/results/temp13.dat'
      open(13,file=filen,status='unknown')
      write(13,'(2f15.3)')0.0,the(n_freq_s,0)
      do iir=1,nradt
       write(13,'(2f15.3)')rth(n_freq_s,iir),the(n_freq_s,iir)
      enddo
      close(13)
c
      rmax=r(n_freq_s,nr(n_freq_s))*1.2
c     write(6,*)n_freq_s,nr(n_freq_s),rmax
c plotting
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'comparison.plt'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(com1,'(a11,f5.2,a2)') 'Frequency= ',freq_s,'Hz'
      write(12,*)'set title "'//com1(1:18)//' "'
      write(12,*)'# Horizontal axis: label & range'
      if(rmax.lt.3.) then
       write(12,*)'set xlabel "Distance (Km)"'
      else
       write(12,*)'set xlabel "Distance (m)"'
      endif
      write(12,*)'set xrange [',0.0,':',rmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "SPAC coefficient"'
      write(12,*)'set yrange [',-0.5,':',1.1,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a15)')'(a6,a33,a2,a42)'
      filen=cdrv//'data/results/temp11.dat'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with errorbars pt 1 ps 2 lc rgb "skyblue" '
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a33,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp13.dat'
      write(cform,'(a19)')'(a6,a33,a2,a28,a19)'
      write(12,cform)'     "',filen(1:33),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "theoretical"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     *  'set output "./spacwkf/data/results/fig_results/comparison.ps"'
      write(12,*)'# Graph title'
      write(com1,'(a11,f5.2,a2)') 'Frequency= ',freq_s,'Hz'
      write(12,*)'set title "'//com1(1:18)//' "'
      write(12,*)'# Horizontal axis: label & range'
      if(rmax.lt.3.) then
       write(12,*)'set xlabel "Distance (Km)"'
      else
       write(12,*)'set xlabel "Distance (m)"'
      endif
      write(12,*)'set xrange [',0.0,':',rmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "SPAC coefficient"'
      write(12,*)'set yrange [',-0.5,':',1.1,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a15)')'(a6,a33,a2,a42)'
      filen=cdrv//'data/results/temp11.dat'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with errorbars pt 1 ps 2 lc rgb "skyblue" '
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a33,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp13.dat'
      write(cform,'(a19)')'(a6,a33,a2,a28,a19)'
      write(12,cform)'     "',filen(1:33),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "theoretical"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)

c
      stop
      end
c+++++
      FUNCTION bessj0(x)
      REAL bessj0,x
      REAL ax,xx,z
      DOUBLE PRECISION p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,  
     *s1,s2,s3,s4,s5,s6,y
      SAVE p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,s1,s2,s3,s4,
     *s5,s6
      DATA p1,p2,p3,p4,p5/1.d0,-.1098628627d-2,.2734510407d-4,
     *-.2073370639d-5,.2093887211d-6/, q1,q2,q3,q4,q5/-.1562499995d-1,
     *.1430488765d-3,-.6911147651d-5,.7621095161d-6,-.934945152d-7/
      DATA r1,r2,r3,r4,r5,r6/57568490574.d0,-13362590354.d0,
     *651619640.7d0,-11214424.18d0,77392.33017d0,-184.9052456d0/,s1,s2,
     *s3,s4,s5,s6/57568490411.d0,1029532985.d0,9494680.718d0,
     *59272.64853d0,267.8532712d0,1.d0/
      if(abs(x).lt.8.)then
        y=x**2
        bessj0=(r1+y*(r2+y*(r3+y*(r4+y*(r5+y*r6)))))/(s1+y*(s2+y*(s3+y*
     *(s4+y*(s5+y*s6)))))
      else
        ax=abs(x)
        z=8./ax
        y=z**2
        xx=ax-.785398164
        bessj0=sqrt(.636619772/ax)*(cos(xx)*(p1+y*(p2+y*(p3+y*(p4+y*
     *p5))))-z*sin(xx)*(q1+y*(q2+y*(q3+y*(q4+y*q5)))))
      endif
      return
      END
c+++++
      FUNCTION bessj1(x)
      REAL bessj1,x
      REAL ax,xx,z
      DOUBLE PRECISION p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,
     *s1,s2,s3,s4,s5,s6,y
      SAVE p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,s1,s2,s3,s4,
     *s5,s6
      DATA r1,r2,r3,r4,r5,r6/72362614232.d0,-7895059235.d0,
     *242396853.1d0,-2972611.439d0,15704.48260d0,-30.16036606d0/,s1,s2,
     *s3,s4,s5,s6/144725228442.d0,2300535178.d0,18583304.74d0,
     *99447.43394d0,376.9991397d0,1.d0/
      DATA p1,p2,p3,p4,p5/1.d0,.183105d-2,-.3516396496d-4,
     *.2457520174d-5,-.240337019d-6/, q1,q2,q3,q4,q5/.04687499995d0,
     *-.2002690873d-3,.8449199096d-5,-.88228987d-6,.105787412d-6/
      if(abs(x).lt.8.)then
        y=x**2
        bessj1=x*(r1+y*(r2+y*(r3+y*(r4+y*(r5+y*r6)))))/(s1+y*(s2+y*(s3+
     *y*(s4+y*(s5+y*s6)))))
      else
        ax=abs(x)
        z=8./ax
        y=z**2
        xx=ax-2.356194491
        bessj1=sqrt(.636619772/ax)*(cos(xx)*(p1+y*(p2+y*(p3+y*(p4+y*
     *p5))))-z*sin(xx)*(q1+y*(q2+y*(q3+y*(q4+y*q5)))))*sign(1.,x)
      endif
      return
      END
