      program fourier_plt
      parameter(nch0=11,nnch0=(nch0-1)*(nch0-2)/2,nfr0=2000)
      integer ndum(3)
      real x(nnch0,nfr0),y(nnch0,nfr0),fr(nfr0)
      character cdrv*10,cwkf*50,cdum(3)*12,com1*80,c_10(100)*10,
     *          c_11(100)*11,cform*80,cfr*8,filen*80,cspac*12,
     *          c_8(100)*8,cfile*18
      cdrv='./spacwkf/'
c parameter file     
      cwkf=cdrv//'prm/'
c     write(6,*)cdrv,cwkf(1:14)
      filen=cwkf(1:14)//'zcorrel5_3.prm'
c      write(6,*)filen
      open(1,file=filen,status='old')
      read(1,'(a30)')com1
      write(6,'(a30)')com1
      read(1,*)fmin,fmax,dt,bw,n_huddle,nhide
      read(1,*)cdum(1),n_coh_hud,n_pow_hud
      read(1,*)cdum(2),n_coh,n_pow
      read(1,*)nnn
      do iii=1,nnn
       read(1,*)
      enddo
      read(1,*)cdum(3)               ! SPAC coef. file name
      close(1)
c      write(6,'(5i3)')n_huddle,n_coh_hud,n_pow_hud,n_coh,n_pow
      iist=1
      if(n_huddle.eq.0) iist=2
      do ii=iist,3
       do i=12,1,-1
        if(cdum(ii)(i:i).NE.' ') go to 10
       enddo
   10  ndum(ii)=i
c       write(6,*)ndum(ii),cdum(ii)(1:ndum(ii))
      enddo
c
      filen=cdrv//'data/resampled_files/'//cdum(2)(1:ndum(2))
c     write(6,*)filen
      open(1,file=filen,status='old')
      read(1,*)nch,mmblk,nblk
      close(1)
      td=real(nblk*nhide)*dt
c     write(6,*)'Td=',td
      filen='./spacwkf/prm/gnuplt_script/fourier.plt'
      open(21,file=filen,status='unknown')
      write(21,*)
     *  'set palette define (0 "black", 1 "yellow", 2 "light-green",',
     * ' 3 "light-blue", 4 "coral", 5 "khaki", 6 "navy", 7 "purple",',
     *  ' 8 "turquoise", 9 "red", 10 "grey50")'
c
      if(n_pow.eq.1) then
c psp
       cwkf=cdrv//'prm/gnuplt_script/'
       filen=cwkf(1:28)//cdum(2)(1:ndum(2)-4)//'_fsp.plt'  ! GNUPLOT scripts file
       write(21,*)'load '''//filen(1:32+ndum(2))//''''
       write(21,*)'pause -1 "Hit return to continue"'
c      write(6,*)filen
       open(12,file=filen,status='unknown')
c
       cwkf=cdrv//'data/results/'
       filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_psp.dat'  ! data file
c      cfile=filen(24:27+ndum(2))
       write(6,*)filen
       open(1,file=filen,status='old')
       write(cform,'(a4,i2,a4)')'(a8,',2*nch+1,'a10)'
       read(1,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr0
        read(1,*, end=110)fr(ifr),(x(ii,ifr),ii=1,nch),
     *                            (y(ii,ifr),ii=1,nch)
       enddo
  110  nfr=ifr-1
       close(1)
c
       do ifr=1,nfr
        do ii=1,nch
         aomg=6.21318/fr(ifr)
         x(ii,ifr)=sqrt(td)/aomg*1.E01**(x(ii,ifr)/20.)       ! Vel FSD
         y(ii,ifr)=sqrt(1.E01**(y(ii,ifr)/10.)/(td*aomg**2))  ! S.D.
        enddo
       enddo
       filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_fsp.dat'     ! data file
       cfile=filen(24:27+ndum(2))
       write(6,*)filen
       open(1,file=filen,status='unknown')
       write(1,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr
        write(1,*)fr(ifr),(x(ii,ifr),ii=1,nch)
     *                    ,(y(ii,ifr),ii=1,nch)
       enddo
       close(1)
c
       xmin=x(1,1)
       xmax=x(1,1)
       do ii=1,nch
        do ifr=1,nfr
         if(xmin.gt.x(ii,ifr)) xmin=x(ii,ifr)
         if(xmax.lt.x(ii,ifr)) xmax=x(ii,ifr)
        enddo
       enddo
       write(6,*)xmin,xmax
       xmin=1.E1**(int(log10(xmin))-1)
       xmax=1.E1**(int(log10(xmax))+0)
       write(6,*)xmin,xmax
c
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//com1(1:45)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',27+ndum(2),',a10,i2,a20,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(12,*)
     *     'set output "./spacwkf/data/results/fig_interim/'//
     *                              filen(24:23+ndum(2))//'.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//com1(1:45)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',27+ndum(2),',a10,i2,a25,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:27+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       close(12)
      endif
cccccc
      if(n_huddle.eq.1) then
       if(n_pow_hud.eq.1) then
c psp_hud
       cwkf=cdrv//'prm/gnuplt_script/'
       filen=cwkf(1:28)//cdum(1)(1:ndum(1)-4)//'_psp.plt'  ! GNUPLOT scripts file
       write(21,*)'load '''//filen(1:32+ndum(1))//''''
       write(21,*)'pause -1 "Hit return to continue"'
c      write(6,*)filen
       open(12,file=filen,status='unknown')
       cwkf=cdrv//'data/results/'
       filen=cwkf(1:23)//cdum(1)(1:ndum(1)-4)//'_psp.dat'  ! data file
c       cfile=filen(24:27+ndum(2))
c      write(6,*)filen
       open(1,file=filen,status='old')
       write(cform,'(a4,i2,a4)')'(a8,',2*nch+1,'a10)'
       read(1,cform)cfr,(c_10(ii),ii=1,nch)
c      write(6,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr0
        read(1,*, end=120)fr(ifr),(x(ii,ifr),ii=1,nch),
     *                           (y(ii,ifr),ii=1,nch)
       enddo
  120  nfr=ifr-1
       close(1)
c
       do ifr=1,nfr
        do ii=1,nch
         aomg=6.21318/fr(ifr)
         x(ii,ifr)=sqrt(td)/aomg*1.E01**(x(ii,ifr)/20.)       ! Vel FSD
         y(ii,ifr)=sqrt(1.E01**(y(ii,ifr)/10.)/(td*aomg**2))  ! S.D.
        enddo
       enddo
       filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_fsp.dat'     ! data file
       cfile=filen(24:27+ndum(2))
       write(6,*)filen
       open(1,file=filen,status='unknown')
       write(1,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr
        write(1,*)fr(ifr),(x(ii,ifr),ii=1,nch)
     *                    ,(y(ii,ifr),ii=1,nch)
       enddo
       close(1)
c
       xmin=abs(x(1,1))
       xmax=abs(x(1,1))
       do ii=1,nch
        do ifr=1,nfr
         if(xmin.gt.abs(x(ii,ifr))) xmin=abs(x(ii,ifr))
         if(xmax.lt.abs(x(ii,ifr))) xmax=abs(x(ii,ifr))
        enddo
       enddo
       xmin=1.E1**int(log10(xmin))
       xmax=1.E1**int(log10(xmax))
c      write(6,*)xmin,xmax
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//com1(1:45)//'huddle test"'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',27+ndum(1),',a10,i2,a20,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(12,*)
     *     'set output "./spacwkf/data/results/fig_interim/'//
     *                              filen(24:23+ndum(1))//'.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//
     *                            com1(1:45)//' huddle test"'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',27+ndum(1),',a10,i2,a25,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:27+ndum(1)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       close(12)
       endif
       if(n_pow.eq.1) then
c cor_psp
       cwkf=cdrv//'prm/gnuplt_script/'
       filen=cwkf(1:28)//cdum(2)(1:ndum(2)-4)//'_cor_psp.plt' !GNUPLOT scripts file
       write(21,*)'load '''//filen(1:36+ndum(2))//''''
       write(21,*)'pause -1 "Hit return to continue"'
c      write(6,*)filen
       open(12,file=filen,status='unknown')
       cwkf=cdrv//'data/results/'
       filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_cor_psp.dat'  ! data file
c      cfile=filen(24:31+ndum(2))
c      write(6,*)filen
       open(1,file=filen,status='old')
       write(cform,'(a4,i2,a4)')'(a8,',2*nch+1,'a10)'
       read(1,cform)cfr,(c_10(ii),ii=1,nch)
c      write(6,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr0
        read(1,*, end=130)fr(ifr),(x(ii,ifr),ii=1,nch),
     *                            (y(ii,ifr),ii=1,nch)
       enddo
  130  nfr=ifr-1
       close(1)
c
       do ifr=1,nfr
        do ii=1,nch
         aomg=6.21318/fr(ifr)
         x(ii,ifr)=sqrt(td)/aomg*1.E01**(x(ii,ifr)/20.)       ! Vel FSD
         y(ii,ifr)=sqrt(1.E01**(y(ii,ifr)/10.)/(td*aomg**2))  ! S.D.
        enddo
       enddo
       filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_fsp.dat'     ! data file
       cfile=filen(24:27+ndum(2))
       write(6,*)filen
       open(1,file=filen,status='unknown')
       write(1,cform)cfr,(c_10(ii),ii=1,nch)
       do ifr=1,nfr
        write(1,*)fr(ifr),(x(ii,ifr),ii=1,nch)
     *                    ,(y(ii,ifr),ii=1,nch)
       enddo
       close(1)
c
       xmin=abs(x(1,1))
       xmax=abs(x(1,1))
       do ii=1,nch
        do ifr=1,nfr
         if(xmin.gt.abs(x(ii,ifr))) xmin=abs(x(ii,ifr))
         if(xmax.lt.abs(x(ii,ifr))) xmax=abs(x(ii,ifr))
        enddo
       enddo
       xmin=1.E1**int(log10(xmin))
       xmax=1.E1**int(log10(xmax))
c      write(6,*)xmin,xmax
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//com1(1:45)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',31+ndum(2),',a10,i2,a20,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(12,*)
     *     'set output "./spacwkf/data/results/fig_interim/'//
     *                              filen(24:27+ndum(2))//'.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title "'//cfile//': '//com1(1:45)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Period (sec)  "'
       write(12,*)'set xrange [',1./fmax,':',1./fmin,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "FSD M/Sec Sec"'
       write(12,*)'set yrange [',xmin*0.9,':',xmax*1.1,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a5,i2,a22)')
     *       '(a6,a',31+ndum(2),',a10,i2,a25,i2,2a8,a4)'
       ich=2
       write(12,cform)'plot "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       do ich=3,nch
       write(12,cform)'     "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
c    *              ' title "',c_10(ich-1)(6:10),'",\\'
     *              ' title "',c_10(ich-1)(6:10),'", \'
       enddo
       ich=nch+1
       write(12,cform)'     "',filen(1:31+ndum(2)),
     *              '" using 1:',ich,
     *              ' with lines lt 1 lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(6:10),'"   '
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       close(12)
c
       endif
c
      endif
c
      close(21)
c
      stop
      end
