      program geometry
      parameter(nch0=24)
      real x_sta(nch0,2)
      character filen*80,com1*80,cdum*50,cuni*4,comm(100)*80
      data pai/3.141592/
      filen='./spacwkf/prm/gnuplt_script/geometry.plt'
      open(21,file=filen,status='unknown')
c
      filen='./spacwkf/data/results/temp0.dat'
      open(11,file=filen,status='old')
      read(11,'(a50)')com1
      write(6,'(a50)')com1
      read(11,*)nch,cdum   !:Number of sensors 
      write(6,*)nch,cdum
      do ich=1,nch
       read(11,*)(x_sta(ich,icmp),icmp=1,2)
       write(6,*)(x_sta(ich,icmp),icmp=1,2)
      enddo
      close(11)
c
      filen='./spacwkf/data/results/geometry.dat'
      open(1,file=filen,status='unknown')
      write(1,'(a1,i7)') '#',nch
      do ich=1,nch
       write(1,'(2f10.3)')(x_sta(ich,icmp),icmp=1,2)
      enddo
      close(1)
      xmax=0.
      xmin=0.
      do ich=1,nch
       if(xmax.lt.x_sta(ich,1)) xmax=x_sta(ich,1)
       if(xmin.gt.x_sta(ich,1)) xmin=x_sta(ich,1)
      enddo
      dumx=max(abs(xmin),abs(xmax))
      ymax=0.
      ymin=0.
      do ich=1,nch
       if(ymax.lt.x_sta(ich,2)) ymax=x_sta(ich,2)
       if(ymin.gt.x_sta(ich,2)) ymin=x_sta(ich,2)
      enddo
      dumy=max(abs(ymin),abs(ymax))
      dum =max(dumx,dumy)
      xmax= dum
      xmin=-dum
      ymax= dum
      ymin=-dum
c      write(6,*)ymin,ymax
      if(xmax.gt.1.) then
       cuni='(m)'
      else
       cuni='(Km)'
      endif
c graphic output using GNUPLOT
      filen='./spacwkf/prm/gnuplt_script/geometry_'//cdum(1:4)//'.plt'
      write(21,*)'load ''',filen(1:45),''''
c     write(21,*)'pause -1 "Hit return to continue"'
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:45)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "X',cuni,'"'
      write(12,*)'set xrange [',xmin-1,':',xmax+1,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Y',cuni,'"'
      write(12,*)'set yrange [',ymin-1,':',ymax+1,']'
      write(12,*)'set size ratio 1.'
      write(12,*)'set multiplot'
      write(12,*)'plot "./spacwkf/data/results/geometry.dat"'//
     *                       ' with points pt 11 ps 1.7 lc rgb "red"'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     * 'set output "./spacwkf/data/results/fig_geometry/geometry_'
     *                                            //cdum(1:4)//'.ps"'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:45)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "X',cuni,'"'
      write(12,*)'set xrange [',xmin-1,':',xmax+1,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Y',cuni,'"'
      write(12,*)'set yrange [',ymin-1,':',ymax+1,']'
      write(12,*)'set size ratio 1.'
      write(12,*)'set multiplot'
      write(12,*)'plot "./spacwkf/data/results/geometry.dat"'//
     *                       ' with points pt 11 ps 1.7 lc rgb "red"'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c
      close(21)
      stop
      end
