      program resample_pre
      parameter(maxfilen=100)
      character filen*80,fileo*80,filem(maxfilen)*8,cdisc(6)*52,cflag*1,
     +          cdum*6,cdumm*10,cm2*2,cm3*3,cm4*4,cm5*5,cm6*6,com*80,
     +          filek(maxfilen)*8,filel(maxfilen)*8
      data cdisc/':nch,dt,nskip.                               ',
     +           ':ajudge,a_sgm.                               ',
     +           ':tst,tdur (start time and duration).         ',
     +           ':output (output file name).                  ',
     +           ':ndata (in a time block after resampling).   ',
     +           ':nfile (no. of measurement in the same array.'/  
c
      write(6,'(a)')'Do you use resample5.exe or resample6.exe? (5/6)'
    5 read(5,*)dkey
      if(dkey.eq.5) then
       filen='./spacwkf/prm/resample5.prm'
      else if(dkey.eq.6) then
       filen='./spacwkf/prm/resample6.prm'
      else
       write(6,'(a)')'Enter 5 or 6.'
       goto 5
      endif
      write(6,'(a)')filen
      open(1,file=filen,status='old')
      read(1,*)nch,dt,nskip
      write(6,*)nch,dt,nskip
      read(1,*)ajudge,a_sgm
      read(1,*)tst,tdur
      read(1,'(a10)')fileo                     ! output file name
      read(1,*)ndata
      close(1)
c
      filen='./spacwkf/data/multiplexed_files/mltfile.lst'
      write(6,'(a)')filen
      open(1,file=filen,status='old')
      nfile=0
      do ifile=1,maxfilen
       read(1,'(a8)',end=10)filem(ifile)
       nfile=nfile+1
      enddo
   10 close(1)
      write(6,*)'Number of multiplexed files: ',nfile
c check
      write(6,*)'Check point: previous parameter setting:'
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
      write(6,'(i2,f8.3,1xi2,15x,a45)')nch,dt,nskip,cdisc(1)  !description from 29th column
      write(6,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
      write(6,'(2f8.3,12x,a45)')tst,tdur,cdisc(3)
      write(6,'(a10,18x,a45)')fileo,cdisc(4)
      write(6,'(i5,23x,a45)')ndata,cdisc(5)
c     write(6,'(i3,25x,a45)')nfile,cdisc(6)
c      do ifile=1,nfile
c       write(6,'(8(a8,1x))')filem(ifile)
c      enddo
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
c
      write(6,*)'Do they look fine? ("yes" or "no")'
      read(5,*)cflag
      if(cflag.ne.'y'.and.cflag.ne.'Y') then
       write(6,*)'Modify parameters.'
   50  continue
c
       do imodi=1,1000
        write(6,*)'Which parameter do you want modify?',
     +           ' Type "e" to finalize setting renewal.'
        read(5,'(a80)')com
        if(com(1:1).eq.'e') then
         go to 100
        else
         read(com,*) cdum,cdumm
         read(cdum,'(a2)')cm2
         read(cdum,'(a3)')cm3
         read(cdum,'(a4)')cm4
         read(cdum,'(a5)')cm5
         read(cdum,'(a6)')cm6
         if(cm3.eq.'nch') then
          read(cdumm,*) nch
          go to 90
         endif
         if(cm2.eq.'dt') then
          read(cdumm,*) dt
          go to 90
         endif
         if(cm5.eq.'nskip') then
          read(cdumm,*) nskip
          go to 90
         endif
         if(cm6.eq.'ajudge') then
          read(cdumm,*) ajudge
          go to 90
         endif
         if(cm5.eq.'a_sgm') then
          read(cdumm,*) a_sgm
          go to 90
         endif
         if(cm3.eq.'tst') then
          read(cdumm,*) tst
          go to 90
         endif
         if(cm4.eq.'tdur') then
          read(cdumm,*) tdur
          go to 90
         endif
         if(cm6.eq.'output') then
          fileo=cdumm
          go to 90
         endif
         if(cm5.eq.'ndata') then
          read(cdumm,*) ndata
          go to 90
         endif
         write(6,*) cdum,' not appropriate.' 
   90    continue
        endif
       enddo  ! imodi
  100  continue
c
       write(6,*)
       write(6,*)'Check point: renewed parameter setting:'
       write(6,'(i2,f8.3,1xi2,15x,a45)')nch,dt,nskip,cdisc(1)  !description from 29th column
       write(6,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
       write(6,'(2f8.3,12x,a45)')tst,tdur,cdisc(3)
       write(6,'(a10,18x,a45)')fileo,cdisc(4)
       write(6,'(i5,23x,a45)')ndata,cdisc(5)
       write(6,*)
       write(6,*)'Do they look fine? ("yes" or "no")'
       read(5,*)cflag
       if(cflag.ne.'y'.and.cflag.ne.' ') go to 50
      else
       write(6,*)'Use previous parameter setting.'
      endif
c
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
      write(6,*)'Selection of data files. Currently there are:'
      write(6,'(i5,a30)')nfile,' files in ~/multiplexed_files/'
      write(6,'(8(a8,1x))')(filem(ifile),ifile=1,nfile)
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
      do ifile=1,nfile
       filel(ifile)=filem(ifile)
      enddo
  500 write(6,*)'Do they look fine? ("yes" or "no")'
      read(5,*)cflag
      if(cflag.ne.'y'.and.cflag.ne.'Y') then   ! Negativo
       write(6,*)'Type in the 1st character of',
     *                                 ' the files to be processed.'
       read(5,'(a1)')cflag
       n_file=0
       do ifile=1,nfile
        if(filel(ifile)(1:1).eq.cflag) then
         n_file=n_file+1
         filek(n_file)=filel(ifile)
        endif
       enddo
       write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
       write(6,*) n_file,' files are selected.'
       write(6,'(8(a8,1x))')(filek(ifile),ifile=1,n_file)
       write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
       if(n_file.eq.0) goto 999
       nfile=n_file
       do ifile=1,nfile
        filel(ifile)=filek(ifile)
       enddo
       goto 500
      else
       goto 550
      endif
c
  550 continue
      if(dkey.eq.5) then
       filen='./spacwkf/prm/resample5.prm_'
      else if(dkey.eq.6) then
       filen='./spacwkf/prm/resample6.prm_'
      endif
      write(6,*)filen
      open(2,file=filen,status='unknown')
      write(2,'(i2,f8.3,1xi2,15x,a45)')nch,dt,nskip,cdisc(1)  !from 29th column
      write(2,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
      write(2,'(2f8.3,12x,a45)')tst,tdur,cdisc(3)
      write(2,'(a10,18x,a45)')fileo,cdisc(4)
      write(2,'(i5,23x,a45)')ndata,cdisc(5)
      write(2,'(i3,25x,a45)')n_file,cdisc(6)
      do ifile=1,n_file
       write(2,'(a8)')filek(ifile)
      enddo
  999 close(2)
c
      stop
      end

