      program results_plt
c plot the results of analysis of SPAC
      parameter(nfr0=1000,nd0=100)
      real fr(nfr0),vel(nfr0),cal(nfr0),std(nfr0),rmd_3(nfr0),
     *     thk(nd0),sth(nd0),dep(nd0,3),pro(nd0,3),sta(nd0,3)
      character com1*50,cdrv*10,cwkf*50,filen*80,cform*80
      filen='./spacwkf/prm/gnuplt_script/results.plt'
      open(21,file=filen,status='unknown')
c
      cdrv='./spacwkf/'
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'vel_model_plt.prm'
c Graph title
      open(10,file=filen,status='old')
      read(10,'(a50)')com1
c data
      filen=cdrv//'data/results/disp_cal.dat'
      open(1,file=filen,status='old')
      read(1,*)
      do ifr=1,10000
       read(1,*,end=10)fr(ifr),vel(ifr),cal(ifr),std(ifr)
      enddo
  10  nfr=ifr-1
      close(1)
      if(vel(1).lt.10.) then   ! km/s==>m/s
       do ifr=1,nfr
        vel(ifr)=vel(ifr)*1000.
        cal(ifr)=cal(ifr)*1000.
        std(ifr)=std(ifr)*1000.
       enddo
      endif
c
      read(10,*,end=20)fmin,fmax
      go to 30
   20 fmin=fr(1)
      fmax=fr(nfr)
   30 continue
      read(10,*,end=40)vmin,vmax
      go to 50
   40 vmin=0.0
      vmax=0.0
      do ifr=1,nfr
       if(vmin.gt.vel(ifr))vmin=vel(ifr)
       if(vmax.lt.vel(ifr))vmax=vel(ifr)
      enddo
   50 read(10,*)n_mod
      close(10)
c
      filen=cdrv//'data/results/temp1.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),vel(ifr),std(ifr)
      enddo
      close(1)
c
      filen=cdrv//'data/results/temp2.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),cal(ifr),1.0
      enddo
      close(1)
c plot disp_cal
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'disp_cal.plt'
      write(21,*)'load '''//filen(1:40)//''''
      write(21,*)'pause -1 "Hit return to continue"'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp1.dat'
      write(cform,'(a15)')'(a6,a32,a2,a42)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with errorbars pt 1 ps 2 lc rgb "skyblue" '
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a32,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp2.dat'
      write(cform,'(a19)')'(a6,a32,a2,a28,a19)'
      write(12,cform)'     "',filen(1:32),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     *  'set output "./spacwkf/data/results/fig_results/disp_cal.ps"'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp1.dat'
      write(cform,'(a15)')'(a6,a32,a2,a42)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with errorbars pt 1 ps 2 lc rgb "skyblue" '
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a32,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp2.dat'
      write(cform,'(a19)')'(a6,a32,a2,a28,a19)'
      write(12,cform)'     "',filen(1:32),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c plot cal_cf_panel
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'cal_cf_panel.plt'
      write(21,*)'load '''//filen(1:44)//''''
      write(21,*)'pause -1 "Hit return to continue"'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'# C-F spectra '
      write(12,*)'set zrange [0:1]'
      write(12,*)'#'
      write(12,*)'set pm3d map'
      write(12,*)'set multiplot'
      write(12,*)'splot "./spacwkf/data/results/misfit.dat"'    ! f_misfit
      filen=cdrv//'data/results/temp2.dat'
      write(cform,'(a19)')'(a7,a32,a2,a28,a19)'
      write(12,cform)'splot "',filen(1:32),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     * 'set output "./spacwkf/data/results/fig_results/cal_cf_panel.ps"'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'# C-F spectra '
      write(12,*)'set zrange [0:1]'
      write(12,*)'#'
      write(12,*)'set pm3d map'
      write(12,*)'set multiplot'
      write(12,*)'splot "./spacwkf/data/results/misfit.dat"'    ! f_misfit
      filen=cdrv//'data/results/temp2.dat'
      write(cform,'(a19)')'(a7,a32,a2,a28,a19)'
      write(12,cform)'splot "',filen(1:32),'" ',
     *               'with lines lw 2 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c plot vel_cal_err.dat
      filen=cdrv//'data/results/Vel_cal_err.dat'
      open(1,file=filen,status='old')
      read(1,'(a80)')filen
      do id=1,100
       read(1,'(I3,8F9.5)',end=100)ndum,thk(id),sth(id),
     *                         (pro(id,j),sta(id,j),j=1,3)
      enddo
 100  nd=id-1
      close(1)
c km/s==>m/s etc
      do id=1,nd
       thk(id)=thk(id)*1000.
       sth(id)=sth(id)*1000.
       do j=1,3
        pro(id,j)=pro(id,j)*1000.
        sta(id,j)=sta(id,j)*1000.
       enddo
      enddo
c average depth: j=1
      dep(1,1)=thk(1)
      do id=2,nd-1
       dep(id,1)=dep(id-1,1)+thk(id)
      enddo
      dep(nd,1)=dep(nd-1,1)*1.25
c ave-sigma depth: j=2
      dep(1,2)=thk(1)-sth(1)
      do id=2,nd-1
       dep(id,2)=dep(id-1,2)+thk(id)-sth(id)
      enddo
      dep(nd,2)=dep(nd,1)
c ave+sigma depth: j=3
      dep(1,3)=thk(1)+sth(1)
      do id=2,nd-1
       dep(id,3)=dep(id-1,3)+thk(id)+sth(id)
      enddo
      dep(nd,3)=dep(nd,1)
c Vs
      filen=cdrv//'data/results/temp3.dat'
      open(1,file=filen,status='unknown')
      write(1,'(3a9,3f9.2)')'     0.00','     0.00','     0.00',
     *                    pro(1,3),pro(1,3)-sta(1,3),pro(1,3)+sta(1,3) ! 0th
      do id=1,nd-1
       if(pro(id+1,3).le.pro(id,3)) then
        write(1,'(6f9.2)')dep(id,1),dep(id,2),dep(id,3),
     *               pro(id,3),pro(id,3)-sta(id,3),pro(id,3)+sta(id,3) ! id<id-1
        write(1,'(6f9.2)')dep(id,1),dep(id,2),dep(id,3),
     *     pro(id+1,3),pro(id+1,3)-sta(id+1,3),pro(id+1,3)+sta(id+1,3)
       else
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),
     *               pro(id,3),pro(id,3)-sta(id,3),pro(id,3)+sta(id,3) ! id>id-1
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),
     *     pro(id+1,3),pro(id+1,3)-sta(id+1,3),pro(id+1,3)+sta(id+1,3)
       endif
      enddo
      if(pro(nd,3).le.pro(nd-1,3)) then
       write(1,'(6f9.2)')dep(nd,1),dep(nd,2),dep(nd,3),
     *               pro(nd,3),pro(nd,3)-sta(nd,3),pro(nd,3)+sta(nd,3) ! nd-th
      else
       write(1,'(6f9.2)')dep(nd,1),dep(nd,3),dep(nd,3),
     *               pro(nd,3),pro(nd,3)-sta(nd,3),pro(nd,3)+sta(nd,3) ! nd-th
      endif
      close(1)
      vmax=pro(nd,3)+sta(nd,3)
      vmax=nint(vmax/100.+1)*100.
      dmax=dep(nd,3)
c
      filen=cdrv//'data/results/temp4.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)vel(ifr),vel(ifr)/fr(ifr)/3.
      enddo
      close(1)
      if(n_mod.eq.1) then
      dmax=max(dmax,vel(1)/fr(1)/3.)
      endif
c
      filen=cwkf(1:28)//'vs_structure.plt'
      write(21,*)'load '''//filen(1:44)//''''
c      write(21,*)'pause -1 "Hit return to continue"'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
      write(12,'(a13,f8.1,a1,f3.1,a9)')
     *        ' set yrange [',dmax,':',0.0,']        '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp3.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      if(n_mod.eq.1) then
      write(12,cform)'plot "',filen(1:32),'" using 5:2  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      write(12,cform)'     "',filen(1:32),'" using 6:3  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      filen=cdrv//'data/results/temp4.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a36,a29)'
      write(12,cform)'     "',filen(1:32),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vs(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:32),'" using 5:2  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      write(12,cform)'     "',filen(1:32),'" using 6:3  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     * 'set output "./spacwkf/data/results/fig_results/vs_structure.ps"'
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
      write(12,'(a13,f8.1,a1,f3.1,a9)')
     *        ' set yrange [',dmax,':',0.0,']        '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp3.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      if(n_mod.eq.1) then
      write(12,cform)'plot "',filen(1:32),'" using 5:2  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      write(12,cform)'     "',filen(1:32),'" using 6:3  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      filen=cdrv//'data/results/temp4.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a36,a29)'
      write(12,cform)'     "',filen(1:32),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vs(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:32),'" using 5:2  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma", \'
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      write(cform,'(a20)')'(a6,a32,a13,a37,a27)'
      write(12,cform)'     "',filen(1:32),'" using 6:3  ',
     *            'with lines lt 1 lw 2 lc rgb "skyblue"',
     *               ' title "Average+/-sigma"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c
      stop
      end
c
